Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.identity
Class UserGroupTaskCommentDecorator

    java.lang.Object
      org.jbpm.services.task.identity.AbstractUserGroupCallbackDecorator
          org.jbpm.services.task.identity.UserGroupTaskCommentDecorator

All Implemented Interfaces:
  org.kie.internal.task.api.TaskCommentService

    @Decorator
    public class UserGroupTaskCommentDecorator

extends AbstractUserGroupCallbackDecorator
implements org.kie.internal.task.api.TaskCommentService

Constructor Summary
`UserGroupTaskCommentDecorator()`

Method Summary
`long` | `addComment(long taskId, org.kie.internal.task.api.model.Comment comment)`
`void` | `deleteComment(long taskId, long commentId)`
`List<org.kie.internal.task.api.model.Comment>` | `getAllCommentsByTaskId(long taskId)`
`org.kie.internal.task.api.model.Comment` | `getCommentById(long commentId)`

Methods inherited from class org.jbpm.services.task.identity.AbstractUserGroupCallbackDecorator
`addGroupFromCallbackOperation, addUserFromCallbackOperation, doCallbackGroupOperation, doCallbackGroupsOperation, doCallbackOperationForPeopleAssignments, doCallbackOperationForPotentialOwners, doCallbackOperationForTaskData, doCallbackOperationForTaskDeadlines, doCallbackUserOperation, doUserGroupCallbackOperation, setPm, setUserGroupCallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserGroupTaskCommentDecorator

    public UserGroupTaskCommentDecorator()

Method Detail

### addComment

    public long addComment(long taskId,
                           org.kie.internal.task.api.model.Comment comment)

  Specified by:
    `addComment` in interface `org.kie.internal.task.api.TaskCommentService`

### deleteComment

    public void deleteComment(long taskId,
                              long commentId)

  Specified by:
    `deleteComment` in interface `org.kie.internal.task.api.TaskCommentService`

### getAllCommentsByTaskId

    public List<org.kie.internal.task.api.model.Comment> getAllCommentsByTaskId(long taskId)

  Specified by:
    `getAllCommentsByTaskId` in interface `org.kie.internal.task.api.TaskCommentService`

### getCommentById

    public org.kie.internal.task.api.model.Comment getCommentById(long commentId)

  Specified by:
    `getCommentById` in interface `org.kie.internal.task.api.TaskCommentService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.